﻿using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
using System.Xml;

namespace XmlResourceResolverSample {
    internal partial class MainForm : Form {

        public MainForm() {
            InitializeComponent();
            this.Font = SystemFonts.MessageBoxFont;
        }


        private readonly string ResourcePrefix = "XmlResourceResolverSample.Resources";
        private readonly string ResourceFile = "Test.xml";


        private void btnReadXmlWithResolving_Click(object sender, System.EventArgs e) {
            using (var stream = Assembly.GetExecutingAssembly().GetManifestResourceStream(this.ResourcePrefix + "." + this.ResourceFile)) {
                var doc = new XmlDocument();
                doc.XmlResolver = new Medo.Xml.XmlResourceResolver(this.ResourcePrefix);
                doc.Load(stream);
                MessageBox.Show(this, "Loaded!", "", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void btnReadXmlWithoutResolving_Click(object sender, System.EventArgs e) {
            using (var stream = Assembly.GetExecutingAssembly().GetManifestResourceStream(this.ResourcePrefix + "." + this.ResourceFile)) {
                var doc = new XmlDocument();
                doc.Load(stream);
                MessageBox.Show(this, "Loaded!", "", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

    }
}
